<!--{{userData.userArray}}-->
<div class="generalSettings">
    <div class="paddingFull ">
        <div class="btn createUserBtn small floatRight" ng-click="clearFormData()">NEW USER</div>
        <span class="clear"></span>
    </div>

    <div class="userTable ">
        <div class="dataTable devicesList">
            <div class="dataRow header">
                <ul class="rowCont">
                  <!--  <li class="uName">User Name</li>-->
                    <li class="fName">First Name</li>
                    <li class="lName">Last Name</li>
                    <li class="email">Email</li>
                    <li class="email">Role</li>
                    <li class="edit">Edit</li>
                    <li class="delete">Delete</li>

                </ul>
            </div>

            <div class="dataRow"  ng-repeat="userData in userData.userArray" >
                <ul class="rowCont">
                    <!--<li class="uName">j</li>-->
                    <li class="fName">{{userData.firstName}}</li>
                    <li class="lName">{{userData.lastName}}</li>
                    <li class="email">{{userData.email}}</li>
                    <li class="email">{{userData.role}}</li>

                    <li class="edit" >
                        <div class="editBtn" ng-click="editUserDetails(userData)">
                            <img src="images/editSign.png" alt="">
                        </div>
                    </li>

                    <li class="delete"  >
                        <div  ng-if="!userData.isAdmin"class="deleteBtn" ng-click="setUserIdForDelete(userData._id,$index,userData.username)">
                            <img src="images/delete_red.png" alt="">
                        </div>
                    </li>
                </ul>
            </div>





        </div>
    </div>

</div>



<!--....... Add Sensor popup ......-->
<div class="popup midSize addNewUser">
    <div class="x close">X</div>
    <form name="userForm" novalidate>
        <div class="popupContent">
            <div class="paddingTBSml borderBtm small marginBtmSml" ng-if="!userData.newUserData._id">CREATE USER</div>
            <div class="paddingTBSml borderBtm small marginBtmSml" ng-if="userData.newUserData._id">EDIT USER</div>
            <ul class="form  marginBtmSec">
                <li>
                    <div class="tag">Username&nbsp;&nbsp;<span class="error mainNormal">*</span></div>
                    <input name="userName" class="textLabel" type="text" placeholder="Please enter Username"
                    ng-model="userData.newUserData.username" ng-disabled="userData.userFormDetails.buttonType=='Update'"
                    ng-class="{disableTextColour:userData.userFormDetails.buttonType=='Update'}" ng-change="isUserNameUnique(userData.newUserData.username)" required>
                    <div class="error small marginTopShort"ng-if="!userForm.userName.$pristine && userForm.userName.$invalid
                    && userForm.userName.$invalid">
                        User Name Is Required
                    </div>
                    <div class="error small marginTopShort"ng-if="!userForm.userName.$pristine && userData.userNameAlreadyExist && userData.userFormDetails.buttonType=='Save'">
                        User Name "{{userData.newUserData.username}}" Already Exist
                </div>
                </li>
                <li>
                    <div class="tag">First Name</div>
                    <input type="text" placeholder="Please enter first name" ng-model="userData.newUserData.firstName" >
                </li>
                <li>
                    <div class="tag">Last Name</div>
                    <input type="text" placeholder="Please enter last name" ng-model="userData.newUserData.lastName" >
                </li>
                <li>
                    <div class="tag">Email ID</div>
                    <input type="text" placeholder="Please enter email" ng-model="userData.newUserData.email">
                </li>
                <li ng-if="userData.userFormDetails.buttonType=='Save'">
                    <div class="tag">Password&nbsp;&nbsp;<span class="error mainNormal">*</span></div>
                    <input name="password" type="password" placeholder="Please enter password" ng-model="userData.newUserData.password" required>
                    <div class="error small marginTopShort"  ng-if="!userForm.password.$pristine && userForm.password.$invalid">
                        Please Enter The Password
                    </div>
                </li>
                <li ng-if="userData.userFormDetails.buttonType=='Update'">
                    <div class="tag">New Password</div>
                    <input  name="newPassword" type="password" placeholder="Please Enter New password" ng-model="userData.newUserData.newPassword">
                </li>

                <li>
                    <div class="tag">Role</div>
                    <input type="text" placeholder="Enter the rol" ng-model="userData.newUserData.role" >
                </li>

            </ul>
            <div class="btnsMain">
                <div class="btn midBlock marginRgt disabled" ng-if="userData.userFormDetails.buttonType=='Save'&&userForm.$invalid ||userData.userNameAlreadyExist" ng-bind="userData.userFormDetails.buttonType"></div>
                <div class="btn midBlock marginRgt" ng-click="saveNewUser()" ng-if="userData.userFormDetails.buttonType=='Save' && !userForm.$invalid && !userData.userNameAlreadyExist" ng-bind="userData.userFormDetails.buttonType"></div>
                <div class="btn midBlock marginRgt" ng-click="updateUserDetails()"  ng-if="userData.userFormDetails.buttonType=='Update'" ng-bind="userData.userFormDetails.buttonType"></div>
                <!--<div class="btn midBlock marginRgt disabled" ng-click="updateUserDetails()"
                 ng-if="userData.userFormDetails.buttonType=='Update' && !userForm.$invalid" ng-bind="userData.userFormDetails.buttonType"></div>-->
                <div class="close btn midBlock">Cancel</div>
            </div>
        </div>
    </form>
</div>

<!--....... delete user .....-->
<div class="popup confirmMsg deleteUser">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="msg smallTitle roboLight marginBtmSec">
            Are you sure <br>
            you want to delete this user?
        </div>
        <div class="btnsMain">
            <div class="btn  red midBlock marginRgt" ng-click="deleteUser()">Delete</div>
            <div class="btn midBlock close">Cancel</div>
        </div>
    </div>
</div>


